Package org.eclipse.m2m.atl.emftvm.trace

## Interface SourceElement

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `TraceElement`

All Known Implementing Classes:
  `SourceElementImpl`

    public interface SourceElement
    extends TraceElement

A representation of the model object 'Source Element'.

See Also:
  `TracePackage.getSourceElement()`

### Method Summary

All Methods Instance Methods Abstract Methods
`TraceLinkSet` `getDefaultFor()` Returns the value of the 'Default For' reference.
`org.eclipse.emf.common.util.EList<TargetElement>` `getMapsTo()` Returns the value of the 'Maps To' reference list.
`TraceLink` `getSourceOf()` Returns the value of the 'Source Of' container reference.
`TracedRule` `getUniqueFor()` Returns the value of the 'Unique For' reference.
`boolean` `isMapsToSelf()` Returns the value of the 'Maps To Self' attribute.
`void` `setDefaultFor​(TraceLinkSet value)` Sets the value of the '`Default For`' reference.
`void` `setMapsToSelf​(boolean value)` Sets the value of the '`Maps To Self`' attribute.
`void` `setSourceOf​(TraceLink value)` Sets the value of the '`Source Of`' container reference.
`void` `setUniqueFor​(TracedRule value)` Sets the value of the '`Unique For`' reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.trace.TraceElement

`getName, getObject, getRuntimeObject, setName, setObject, setRuntimeObject`

### Method Detail

#### getSourceOf

    TraceLink getSourceOf()

Returns the value of the 'Source Of' container reference. It is bidirectional and its opposite is '`Source Elements`'.

If the meaning of the 'Source Of' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Source Of' container reference.
See Also:
  `setSourceOf(TraceLink)`, `TracePackage.getSourceElement_SourceOf()`, `TraceLink.getSourceElements()`

#### setSourceOf

    void setSourceOf​(TraceLink value)

Sets the value of the '`Source Of`' container reference.

Parameters:
  `value` - the new value of the 'Source Of' container reference.
See Also:
  `getSourceOf()`

#### getMapsTo

    org.eclipse.emf.common.util.EList<TargetElement> getMapsTo()

Returns the value of the 'Maps To' reference list. The list contents are of type `TargetElement`. It is bidirectional and its opposite is '`Maps To`'.

If the meaning of the 'Maps To' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Maps To' reference list.
See Also:
  `TracePackage.getSourceElement_MapsTo()`, `TargetElement.getMapsTo()`

#### getDefaultFor

    TraceLinkSet getDefaultFor()

Returns the value of the 'Default For' reference. It is bidirectional and its opposite is '`Default Source Elements`'.

If the meaning of the 'Default For' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Default For' reference.
See Also:
  `setDefaultFor(TraceLinkSet)`, `TracePackage.getSourceElement_DefaultFor()`, `TraceLinkSet.getDefaultSourceElements()`

#### setDefaultFor

    void setDefaultFor​(TraceLinkSet value)

Sets the value of the '`Default For`' reference.

Parameters:
  `value` - the new value of the 'Default For' reference.
See Also:
  `getDefaultFor()`

#### getUniqueFor

    TracedRule getUniqueFor()

Returns the value of the 'Unique For' reference. It is bidirectional and its opposite is '`Unique Source Elements`'.

If the meaning of the 'Unique For' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Unique For' reference.
See Also:
  `setUniqueFor(TracedRule)`, `TracePackage.getSourceElement_UniqueFor()`, `TracedRule.getUniqueSourceElements()`

#### setUniqueFor

    void setUniqueFor​(TracedRule value)

Sets the value of the '`Unique For`' reference.

Parameters:
  `value` - the new value of the 'Unique For' reference.
See Also:
  `getUniqueFor()`

#### isMapsToSelf

    boolean isMapsToSelf()

Returns the value of the 'Maps To Self' attribute.

If the meaning of the 'Maps To Self' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Maps To Self' attribute.
See Also:
  `setMapsToSelf(boolean)`, `TracePackage.getSourceElement_MapsToSelf()`

#### setMapsToSelf

    void setMapsToSelf​(boolean value)

Sets the value of the '`Maps To Self`' attribute.

Parameters:
  `value` - the new value of the 'Maps To Self' attribute.
See Also:
  `isMapsToSelf()`